package com.workfusion.odf.impl.converter.extractor.mail;

import java.io.IOException;

import org.apache.commons.io.FilenameUtils;
import org.apache.commons.io.IOUtils;
import org.junit.jupiter.api.Test;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

class RecursiveMsgExtractorTest {
    @Test
    void recursiveExtractSuccessTest() throws IOException {
    	Logger logger = LoggerFactory.getLogger(RecursiveMsgExtractorTest.class);
        String name = "/mail/fdghdgm.msg";
        byte[] bytes = IOUtils.resourceToByteArray(name);
        RecursiveMsgExtractor recursiveMsgExtractor = new RecursiveMsgExtractor(logger);
        recursiveMsgExtractor.recursiveExtract(bytes, FilenameUtils.getName(name));
    }
}
